# List

`GET /workspaces/:workspace/artifacts`

Get artifacts list

**Required Scopes:** `ARTIFACT_READ`

## URL Parameters

```typescript
interface URLParameters {
  /** The human-readable ID of the workspace */
  workspace: string; // Example: "my-company"
}
```

## Query Parameters

```typescript
interface QueryParameters {
  /** The human-readable ID of the project */
  project_name?: string; // Example: "my-project"
  /** The ID of the environment */
  environment_id?: string; // Example: "nZrnl40Y"
}
```

## Response Body

```typescript
interface ResponseBody {
  /** API endpoint to GET this object */
  url?: string;
  /** Web URL to view this object in Buddy.works */
  html_url?: string;
  artifacts?: ShortArtifactView[];
}
```

## Type Definitions

```typescript
interface ShortArtifactView {
  /** API endpoint to GET this object */
  url?: string;
  /** Web URL to view this object in Buddy.works */
  html_url?: string;
  /** The unique ID of the artifact */
  id?: number;
  /** The type of artifact */
  type?: "CONTAINER" | "BUCKET" | "NPM" | "COMPOSER";
  /** The display name of the artifact */
  name?: string;
  /** The human-readable identifier of the artifact */
  identifier?: string;
  /** The scope level of the artifact */
  scope?: "WORKSPACE" | "PROJECT" | "ENVIRONMENT";
  /** Total size of all artifact versions in bytes */
  size?: number;
}

```

## Response Example

**Status:** `200 List of artifacts retrieved successfully`

```json
{
  "url": "https://api.buddy.works/workspaces/ttests/artifacts",
  "html_url": "https://app.buddy.works/ttests/-/artifacts",
  "artifacts": [
    {
      "url": "https://api.buddy.works/workspaces/ttests/artifacts/lV1bAjo2",
      "html_url": "https://app.buddy.works/ttests/-/artifacts/lV1bAjo2/versions",
      "id": "lV1bAjo2",
      "type": "CONTAINER",
      "name": "My Application Artifact",
      "identifier": "my-app-artifact",
      "scope": "WORKSPACE",
      "size": 1048576000
    },
    {
      "url": "https://api.buddy.works/workspaces/ttests/artifacts/N6j4zgB4",
      "html_url": "https://app.buddy.works/ttests/-/artifacts/N6j4zgB4/versions",
      "id": "N6j4zgB4",
      "type": "CONTAINER",
      "name": "Shared Library Artifact",
      "identifier": "shared-lib",
      "scope": "WORKSPACE",
      "size": 2147483648
    }
  ]
}
```

---
Original source: https://buddy.works/docs/api/artifacts/list